Repozytoria dla Ubuntu 12.04 LTS Precise Pangolin

Uwaga: Ten wpis został utworzony ponad rok temu. Informacje w nim zawarte mogą być nieaktualne!

Aby w pełni cieszyć się zasobami systemu należy plik /etc/apt/sources.list wypełnić odpowiednimi wpisami. Aby to zrobić otwórz konsolę i wydaj następujące polecenie:

Dla Gnome/Unity:

sudo gedit /etc/apt/sources.list

Dla KDE:

sudo kate /etc/apt/sources.list

Lub dla bezpośredniej edycji w konsoli:

sudo nano /etc/apt/sources.list

Teraz zaznacz wszystkie znajdujące się tam wpisy (CTRL+A), usuń je (CTRL+X lub Backspace) i wklej te, zawarte poniżej.

Wpisy podstawowe

# Ubuntu - podstawowe repozytoria
deb http://pl.archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb-src http://pl.archive.ubuntu.com/ubuntu/ precise main restricted universe multiverse
deb http://pl.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb-src http://pl.archive.ubuntu.com/ubuntu/ precise-updates main restricted universe multiverse
deb http://security.ubuntu.com/ubuntu precise-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu precise-security main restricted universe multiverse
deb http://extras.ubuntu.com/ubuntu precise main
deb-src http://extras.ubuntu.com/ubuntu precise main
deb http://pl.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://pl.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse

Wpisy bardzo przydatne

# Ubuntu Partner
deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

# Medibuntu
deb http://packages.medibuntu.org/ precise free non-free
# deb-src http://packages.medibuntu.org/ precise free non-free

# GetDeb
# deb http://archive.getdeb.net/ubuntu precise-getdeb apps games
# ponieważ główny serwer ostatnimi czasy nie działa - tutaj mirror:
deb http://mirrors.dotsrc.org/getdeb/ubuntu precise-getdeb apps games

# Ubuntu Tweak
deb http://ppa.launchpad.net/tualatrix/ppa/ubuntu precise main 
# deb-src http://ppa.launchpad.net/tualatrix/ppa/ubuntu precise main 

# Wine
deb http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu precise main
# deb-src http://ppa.launchpad.net/ubuntu-wine/ppa/ubuntu precise main

Wpisy dodatkowe

# Chromium (stabilne)
deb http://ppa.launchpad.net/chromium-daily/stable/ubuntu precise main 
# deb-src http://ppa.launchpad.net/chromium-daily/stable/ubuntu precise main 

# XBMC
deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu precise main
# deb-src http://ppa.launchpad.net/team-xbmc/ppa/ubuntu precise main

# Claws Mail - jeszcze nie ma dla 12.04
# deb http://ppa.launchpad.net/claws-mail/ppa/ubuntu precise main
# deb-src http://ppa.launchpad.net/claws-mail/ppa/ubuntu precise main

# VirtualBox
deb http://download.virtualbox.org/virtualbox/debian precise contrib

#Opera
deb http://deb.opera.com/opera/ stable non-free

#Google
deb http://dl.google.com/linux/deb/ stable non-free main
deb http://dl.google.com/linux/chrome/deb/ stable main
deb http://dl.google.com/linux/talkplugin/deb/ stable main
deb http://dl.google.com/linux/earth/deb/ stable main

#JDownloader
deb http://ppa.launchpad.net/jd-team/jdownloader/ubuntu precise main
# deb-src http://ppa.launchpad.net/jd-team/jdownloader/ubuntu precise main

#Transmission
deb http://ppa.launchpad.net/transmissionbt/ppa/ubuntu precise main
# deb-src http://ppa.launchpad.net/transmissionbt/ppa/ubuntu precise main

#Empathy - jeszcze nie ma dla 12.04
# deb http://ppa.launchpad.net/telepathy/ppa/ubuntu precise main
# deb-src http://ppa.launchpad.net/telepathy/ppa/ubuntu precise main

Tylko dla beta-testerów, etc.

# Ubuntu Proposed
deb http://pl.archive.ubuntu.com/ubuntu precise-proposed main restricted universe multiverse
# deb-src http://pl.archive.ubuntu.com/ubuntu precise-proposed main restricted universe multiverse

# Chromium Daily Builds - jeszcze nie ma dla 12.04
# deb http://ppa.launchpad.net/chromium-daily/ppa/ubuntu precise main 
# deb-src http://ppa.launchpad.net/chromium-daily/ppa/ubuntu precise main 

# Mozilla Daily Builds
deb http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu precise main 
# deb-src http://ppa.launchpad.net/ubuntu-mozilla-daily/ppa/ubuntu precise main 

# Gwibber Daily Builds
deb http://ppa.launchpad.net/gwibber-daily/ppa/ubuntu precise main 
# deb-src http://ppa.launchpad.net/gwibber-daily/ppa/ubuntu precise main 

# GIMP SVN (nieoficjale)
deb http://ppa.launchpad.net/matthaeus123/mrw-gimp-svn/ubuntu precise main 
# deb-src http://ppa.launchpad.net/matthaeus123/mrw-gimp-svn/ubuntu precise main 

# NetworkManager Daily Builds
deb http://ppa.launchpad.net/network-manager/trunk/ubuntu precise main 
# deb-src http://ppa.launchpad.net/network-manager/trunk/ubuntu precise main 

# X Updates - aktualizacje sterowników graficznych
deb http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu precise main 
# deb-src http://ppa.launchpad.net/ubuntu-x-swat/x-updates/ubuntu precise main 

# Updated and Optimized Graphics Drivers - otwarte sterowniki graficzne uzupełnione o opatentowane technologie
deb http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu precise main 
# deb-src http://ppa.launchpad.net/oibaf/graphics-drivers/ubuntu precise main 

Na koniec aktualizacja

W terminalu wydaj polecenie:

sudo apt-get update

W razie błędów, zajrzyj niżej.

Źródło: ubuntu.pl/forum
Jeżeli powyższy artykuł nie rozwiązał lub rozwiązał częściowo Twój problem, dodaj swój komentarz opisujący, w którym miejscu napotkałeś trudności.
Mile widziane komentarze z uwagami lub informacjami o rozwiązaniu problemu.
  • ARNi

    Dlaczego wszyscy piszą ,że Chromium Daily Build tylko dla beta-testerów ? Jadę na tym repo od samego początku i zadnych niespodzianek .
    Claws Mail to będzie niespodzianka .

    • http://www.ubuntu-pomoc.org Szmitas

      Przeczytaj co to repozytorium zawiera i się dowiesz.

  • ARNi

    Jeszcze jedno : świetne ..
    # unity-minimize-on-click / 69B0E2F4 / update && upgrade
    deb http://ppa.launchpad.net/ojno/unity-minimize-on-click/ubuntu precise main
    i ..
    # skypetab-ng / 41A6E3C3 / To get tabs for the Skype chat window
    deb http://ppa.launchpad.net/keks9n/skypetab/ubuntu precise main
    deb-src http://ppa.launchpad.net/keks9n/skypetab/ubuntu precise main
    a na deser prześlemy Panu @Szmitas materiał z repo na super artykuł.

  • Admc

    Zamiast sudo gedit proponuję gksudo gedit, zamiast sudo kate proponuję kdesudo kate. :)

    • RafciX

      A jaka jest różnica pomiedzy sudo, a kdesudo oraz sudo, a gksudo? Jak mi sie dobrze wydaje to oba te polecenia służą do uzyskania praw administratora.
      Fajnie by było gdybyście zrobili skrypt *.sh, który za nas wpisałby te teksty do pliku /etc/apt/sources.list ;)

      • clfapujc

        sudo jest do programów konsolowych, pozostałe do uzyskiwanai uprawnień administratora w programach uruchamianych z GUI.
        Generalnie działanie jest takie samo, ale czasem może to spowodować konflikty w uprawnieniach (system źle przypisze uprawnienia). Potem widzi się wątki na forum, że sudo nie działa, albo hasło nie działa. Tutaj więcej:
        http://www.psychocats.net/ubuntu/graphicalsudo

      • http://moonsterbike.com LeszekK

        Trzeba być totalnym leniem żeby prosić o taki skrypt. Kilka linijek i już ręce Cię bolą? Porażka mistrzuniu, porażka.

      • http://www.ubuntu-pomoc.org Szmitas

        Więcej zachodu z pobraniem skryptu, nadaniem uprawnień do wykonywania jako program oraz odpaleniem niż ręczną edycją pliku.

  • kuba

    A dodanie kluczy?
    W: Błąd GPG: http://packages.medibuntu.org precise InRelease: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 2EBC26B60C5A2783
    W: Błąd GPG: http://download.virtualbox.org precise InRelease: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 54422A4B98AB5139
    W: Błąd GPG: http://dl.google.com stable Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A040830F7FAC5991
    W: Błąd GPG: http://ppa.launchpad.net precise Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 5A9A06AEF9CB8DB0
    W: Błąd GPG: http://ppa.launchpad.net precise Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 6D975C4791E7EE5E
    W: Błąd GPG: http://dl.google.com stable Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A040830F7FAC5991
    W: Błąd GPG: http://dl.google.com stable Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A040830F7FAC5991
    W: Błąd GPG: http://dl.google.com stable Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY A040830F7FAC5991

    • http://www.ubuntu-pomoc.org Szmitas

      Proszę czytać wpisy do końca, wszystko jest.

    • sovtware

      sudo su ;
      i potem
      apt-get update 2> /tmp/keymissing; for key in $(grep „NO_PUBKEY” /tmp/keymissing |sed „s/.*NO_PUBKEY //”); do echo -e „\nProcessing key: $key”; gpg –keyserver subkeys.pgp.net –recv $key && sudo gpg –export –armor $key | apt-key add -; done

      ( czasami czynność tą musisz powtórzyć )

  • Tripix

    a dla XFCE → sudo leafpad :D

  • piotr1999ek

    Super, trochę mi się po aktualizacji w systemie namieszało, ale po wpisaniu tych repo wszystko działa szybko i sprawnie.

  • darekk

    No dobra Panowie, ale czym się różnią wyżej podane repozytoria od tych domyślnych, systemowych?
    Pozdrawiam

    • Fray

      Też bym chciał to wiedzieć ;).

      • http://fihufil.rapidrage.eu.org/ Fihu

        To są zwykłe repozytoria, tak te zwykłe systemowe + kilka przydatnych które byśmy musieli sami wklepać;)

  • powermilk

    Od wersji chyba 10.04 pojawia się ten artykuł… w nim jest tylko zmieniana nazwa kodowa, przypadku tego artykułu jest „precise”. I ciągle doklejana jest adnotacja do artykułu o brakujących kluczach…

    to po co zostało wymyślone narzędzie apt-add-repository? Przecież wszystkie te repo są na launchpadzie…

  • Dzojon

    Co daje ta zamiana repozytoriów? Te oryginalne są złe ?

  • http://moonsterbike.com LeszekK

    Wysil się i przeczytaj wszystkie komentarze od początku do końca. Kolega @Fihu już na podobne pytanie odpowiedział.

    • sovtware

      czym się różnią wyżej podane repozytoria

      Tak masz racje przepraszam kolega faktycznie już opisał ten temat faktycznie nie zauważyłem ok luz pozdrawiam

  • http://eczytanie.blox.pl czytniki ebooków

    Czyli przy aktualizacji wystarczy skorygować dotychczasowych wpisach nazwę dystrybucji.

  • Derek

    – ” telepathy-sunshine ” do Empathy na gg ? Ta wersja nie jest „deleted” na Precise ?
    czy też mozna „wcisnąć”
    deb http://ppa.launchpad.net/telepathy/ppa/ubuntu precise main
    deb-src http://ppa.launchpad.net/telepathy/ppa/ubuntu precise main
    ???
    Nie mogę zaimportować kontaktów na Empathy z gg. Błąd Empathy ? Brak repo ?

  • Derek

    aha i jeszcze opis ww. repo :) , opis miód malina …
    ” …so be carefull, it could kill your dog and eat your birthday cake.”
    hahahaaa…

  • lowca_dusz

    A na 64 działają??

    • sovtware

      działają repo tak samo na 32 bitowych systemach jak i na 64 bitowym

  • rafal367867

    Witam
    Jestem nowym użytkownikiem linuxa, potrzebuje to robić czy nie ? Ps. wszystko działa jak narazie

    • http://moonsterbike.com LeszekK

      Możesz, nie musisz.

    • sovtware

      nie koniecznie to nie jest wymagane dla nowych uzytkowników którzy nie potrzebuja aktualizacji do nowszych wersji programów nie potrzebuja innych rpo jak te które sa orginalne

    • sovtware

      dodajesz tylko te które chcesz np: do programów których używasz i chcesz w najnowszej wersji jak wyjdzie decyzja należy do Ciebie

  • sovtware

    #Google
    deb http://dl.google.com/linux/deb/ stable non-free main
    deb http://dl.google.com/linux/chrome/deb/ stable main
    deb http://dl.google.com/linux/talkplugin/deb/ stable main
    deb http://dl.google.com/linux/earth/deb/ stable main

    te wpisy nie działają !

    W: Nie udało się pobrać http://dl.google.com/linux/deb/dists/stable/Release Nie udało się znaleźć oczekiwanego wpisu „non-free/binary-i386/Packages” w pliku Release (nieprawidłowy wpis sources.list lub nieprawidłowy plik)

    E: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub użyto ich starszej wersji.

    to są wpisy z UBuntu 11.10 nawet w przewodniku ubntu 12.04 są repo nie aktualne !
    tak staracie się o ludzi ?

    proszę się nie bawic z Nami tylko wstawic aktualne repo na 12.04 LTS

    potem dziwota że początkujący maja problemy i psuja system miłego dnia

    dobrze żę mam parę repo swoich które działaja nawet bez tego mozna uzywać System z orginalnymi

    • http://www.ubuntu-pomoc.org Łukasz Schmidtke

      Są to oficjalne repozytoria Google, które można znaleźć na ich stronie.

      • sovtware

        oficialne ok spox tylko że na ubuntu 12.04 LTS połowa z tych repo wcale nie działa lub błędy więc sorry jak tak robicie z ludzmi i opisujecie że ktoś wmawia i żle pisze mimo że dowód pokazałem kopiując to co mi pokazuje na czystym i żwierzym systemie trudno cza bedzie sie pożegnać z Ubuntu po ekipa nie jest zbyt miła i kopiują z innych serji UBuntu zamiast napisać dokładnie które chodza a co nie mogę sie żałozyć ze nikt tu od Was nawet nie próbował zainstalować i wstawić tych repo i nie tylko

        to nie wystarcy ?

        W: Nie udało się pobrać http://dl.google.com/linux/deb/dists/stable/Release Nie udało się znaleźć oczekiwanego wpisu „non-free/binary-i386/Packages” w pliku Release (nieprawidłowy wpis sources.list lub nieprawidłowy plik)

        E: Nie udało się pobrać niektórych plików indeksu, zostały one zignorowane lub użyto ich starszej wersji.

        mogę zdjęcia zrobić i wstawić jak potrzeba ?

        szkoda lpiej na orginlnych jechać Ubuntu to moja ulubiona tysbrytucja Linux lecz takie rzeczy go niszczą tóre nie działaja a w pomocy sa opisane do wstawienia :[

        • http://www.ubuntu-pomoc.org Łukasz Schmidtke

          Twój brak wiedzy stoi na równi z Twoim poziomem ortografii i interpunkcji.

          Repozytoria są do wyboru, nie polega to na bezmyślnym kopiowaniu wszystkiego co się da i liczeniu na to, że aktualizacja się powiedzie. Dodajemy tylko te repozytoria, w których znajdują się pakiety nam potrzebne, bo po co inne? Jeśli wpis Ci nie odpowiada, usuń go z listy.

          szkoda lpiej na orginlnych jechać Ubuntu to moja ulubiona tysbrytucja Linux lecz takie rzeczy go niszczą tóre nie działaja a w pomocy sa opisane do wstawienia :[

          To zdanie z chęcią oprawiłbym w ramkę, gdyby było napisane po polsku. Wytłumacz mi, w jaki tymczasowo nieaktualny, bądź wygasły wpis miałby niszczyć system?

          • sovware

            przykro mi za moje auto … lecz nie jestem Polakiem uczę się pisać więc śmiać się możecie
            według mnie jak robię aktualizację i mam info pakiet nie obsługiwany lub jak aktualizuję system programem synpatic mam zaznaczone na czerwono i ( nie spełnia wymagań itp: )i tylko połowa aktualizacji mozna zainstalować to chyba już nie ma jak tego naprawić ? masz rację że Dodajemy tylko te repozytoria, w których znajdują się pakiety nam potrzebne tylko dla początkujących powinno to być napisane na początku ok już mam wszystko zrobione więc nie ruszajmy tego tematu i przepraszam za problemy
            szkoda tylko że nadal – X Updates jest dla zaawansowanych użytkowników a powinno być dla każdego ponieważ nie ma z tymi sterownikami problemów pozdrawiam

          • sovtware

            Łukasz Schmidtke z tym masz rację co jest podkreślone trochę przesadziłem więc przepraszam

  • sovtware

    więc proszę o pomoc co mam nie tak z systemem jeżeli u Was chodzi a u mnie nie tak jak piszę lub o wskazówki jak zrobić aby działało ?

  • robert

    Połowa tych repo nie działa mógł by to ktoś to poprawić.

    • http://www.ubuntu-pomoc.org Łukasz Schmidtke

      Co to znaczy „nie działa”?

  • wrzomar

    Przydałby się mały upgrade tej listy, bo Medibuntu już nie ma, a świeże libdvdcss są teraz od VLC. https://launchpad.net/medibuntu/+announcement/11951

  • zs3

    linux do kupa